> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Status

> Post WhatsApp status (stories)



## OpenAPI

````yaml openapi-v2 POST /message/sendStatus/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /message/sendStatus/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Status
      description: Post WhatsApp status (stories)
      operationId: sendStatus
      parameters:
        - name: instance
          in: path
          required: true
          description: 'Name of the instance '
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - caption
                - content
                - backgroundColor
                - font
                - allContacts
                - statusJidList
              properties:
                type:
                  type: string
                  description: status type
                  enum:
                    - text
                    - image
                    - audio
                content:
                  type: string
                  description: status type
                caption:
                  type: string
                  description: Optional for image or video
                backgroundColor:
                  type: string
                  description: 'Exemple #008000'
                font:
                  type: number
                  description: >-
                    1 = SERIF 2 = NORICAN_REGULAR 3 = BRYNDAN_WRITE 4 =
                    BEBASNEUE_REGULAR 5 = OSWALD_HEAVY 
                allContacts:
                  type: boolean
                  description: >-
                    true to send to all contacts or false to send to
                    statusJidList below 
                statusJidList:
                  type: array
                  description: Numbers to send status
                  items:
                    type: string
                    enum:
                      - '{{remoteJID}}'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                    description: >-
                      The key of the message, which identifies the message in
                      the chat.
                  message:
                    type: object
                    properties:
                      extendedTextMessage:
                        type: object
                        properties:
                          text:
                            type: string
                            description: The text content of the message.
                          backgroundArgb:
                            type: integer
                            description: >-
                              The background color of the text message,
                              represented as ARGB integer value.
                          font:
                            type: string
                            description: The font used in the text message.
                        description: Details of the extended text message.
                    description: >-
                      The message content, which may include various types of
                      messages like text, images, etc.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message, represented as a string.
                  status:
                    type: string
                    description: >-
                      The status of the message, such as sent, received, or
                      pending.
                  participant:
                    type: string
                    description: The participant in the chat to whom the message was sent.
                example:
                  key:
                    remoteJid: status@broadcast
                    fromMe: true
                    id: BAE5FAB9E65A3DA8
                  message:
                    extendedTextMessage:
                      text: example
                      backgroundArgb: 4294910617
                      font: FB_SCRIPT
                  messageTimestamp: '1717691767'
                  status: PENDING
                  participant: 553198296801:17@s.whatsapp.net
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````